oar_resources_init(8)

NAME
oar_resources_init - Connect to a list of hosts to gather system information and create the corresponding OAR resources.

SYNOPSIS
oar_resource_init [options] <hostfile>

DESCRIPTION
Hosts are read one per line from hostfile (must be readable by the oar user) or STDIN if hostfile is -.

The "oar-node" service must be started on all hosts (oar_resources_init connects to hosts on OAR's dedicated SSH service).

The command can either just generate a script (allowing modification before execution), or directly run the OAR commands (oarnodesetting and oarproperty).

The following OAR resource hierarchy is assumed:

    host > cpu > core

If the -t option is set, it adds the thread level:

    host > cpu > core > thread

The mem property is set along with the hierarchy.

If the -m option is set, it adds the numa level and numamem property. Beware that the numa hierarchy level may differ from machine to machine.

If the -g option is set, it adds the gpu level and gpudevice property. Information for the gpu hierarchy and gpudevice property is however not populated: It can be completed by editing manually the generated script.

Other properties can also be added in the generated script.

After the execution of the script, other oarnodesetting can still be used to change the resource properties.

OPTIONS

-t  Create the thread hierarchy level (HyperThreading/SMT).

-n  Create the numa hierarchy level and numamem properties.

-g  Create the gpu hierarchy level and gpudevice properties (but not populated).

-o [file]
    Script filename.

-x  Execute the script at the end and remove it.

-y  Assume "yes" as answer to all prompts and run non-interactively.

-v  Print the generated script.

-e [path]
    Path to the ssh command.

-s [path]
    Path to the oarnodesetting command.

-p [path]
    Path to the oarproperty command.

-c [path]
    Path to the oar.conf file.

-D  Enable the debug mode for the parsing of hwloc's output.

-h  Print the command usage.

SEE ALSO
oarnodesetting(8), oarproperty(8), oar_resources_add(8), oarremoveresource(8), lstopo(1)

COPYRIGHTS
 Copyright 2003-2025 Laboratoire d'Informatique de Grenoble (http://www.liglab.fr). This software is licensed under the GNU General Public License Version 2 or above. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.